Name:		sbox
Version:	1.10
Release:	7.1
License:	GPL
Group:		System
Summary:	CGI Script Wrapper
URL:		http://stein.cshl.org/software/sbox/
Source0:	http://stein.cshl.org/WWW/software/sbox/sbox.tar.gz
Source1:	http://stein.cshl.org/software/sbox/miniroot.img
Source2:	%{name}-rpmlintrc
%if 0%{?suse_version}
BuildRequires:	apache2-devel
Patch0:		sbox_config_suse.diff
%define	_wwwroot	/srv/www
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:	httpd-devel
Patch0:		sbox_config_rh.diff
%define	_wwwroot	/var/www
%endif

Patch1:		sbox-makefile.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
sbox is a CGI wrapper script that allows Web site hosting services to safely grant CGI authoring privileges to untrusted clients. In addition to changing the process privileges of client scripts to match their owners, it goes beyond other wrappers by placing configurable ceilings on script resource usage, avoiding unintentional (as well as intentional) denial of service attacks. It also optionally allows the Webmaster to place client's CGI scripts in a chroot'ed shell restricted to the author's home directories.


%prep
%setup
%patch0
%patch1

%build
%__make

%install
%__install -m 755 -d %{buildroot}/%{_wwwroot}/cgi-bin
%__install -m 755 -d %{buildroot}/%{_datadir}/%{name}
%__make install INSTALL_DIRECTORY=%{buildroot}/%{_wwwroot}/cgi-bin
cp %{S:1} %{buildroot}/%{_datadir}/%{name}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(4111,root,bin) %{_wwwroot}/cgi-bin/sbox
%dir %{_datadir}/%{name}
%attr(644,root,root) %{_datadir}/%{name}/miniroot.img
%doc README.*

%changelog
* Mon Jun 02 2008 Carten Schoene <cs@linux-administrator.com> - 1.10
- initial sbox package

